Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.configurations
Class DefaultConfigurationContainer

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection
          org.gradle.api.internal.DefaultDomainObjectContainer
              org.gradle.api.internal.artifacts.configurations.DefaultConfigurationContainer

All Implemented Interfaces:
  ConfigurationContainer

    class DefaultConfigurationContainer
    extends DefaultDomainObjectContainer

author:
  Hans Dockter

Field Summary
`static java.lang.String` | `DETACHED_CONFIGURATION_DEFAULT_NAME`

Constructor Summary
`DefaultConfigurationContainer(IvyService ivyService, ProjectDependenciesBuildInstruction projectDependenciesBuildInstruction)`

Method Summary
`Configuration` | `add(java.lang.String name, Closure configureClosure)`
`Configuration` | `add(java.lang.String name)`
`protected UnknownDomainObjectException` | `createNotFoundException(java.lang.String name)`
`Configuration` | `detachedConfiguration(Dependency dependencies)`
`java.lang.String` | `getDisplayName()`
`IvyService` | `getIvyService()`
`ProjectDependenciesBuildInstruction` | `getProjectDependenciesBuildInstruction()`
`java.lang.String` | `toString()`

Methods inherited from class DefaultDomainObjectContainer
addObject, addRule, addRule, createNotFoundException, findByName, getAsMap, getDisplayName, getRules, getType, matching, storeWithSpec, storeWithType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, withType

Methods inherited from class AbstractDomainObjectCollection
allObjects, allObjects, createNotFoundException, findAll, getAll, getAsDynamicObject, getAt, getByName, getByName, getDisplayName, iterator, methodMissing, propertyMissing

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Field Detail

### DETACHED_CONFIGURATION_DEFAULT_NAME

    static final java.lang.String DETACHED_CONFIGURATION_DEFAULT_NAME

Constructor Detail

### DefaultConfigurationContainer

    public DefaultConfigurationContainer(IvyService ivyService, ProjectDependenciesBuildInstruction projectDependenciesBuildInstruction)

Method Detail

### add

    public Configuration add(java.lang.String name, Closure configureClosure)

### add

    public Configuration add(java.lang.String name)

### createNotFoundException

    @Override
    protected UnknownDomainObjectException createNotFoundException(java.lang.String name)

### detachedConfiguration

    public Configuration detachedConfiguration(Dependency dependencies)

### getDisplayName

    @Override
    public java.lang.String getDisplayName()

### getIvyService

    public IvyService getIvyService()

### getProjectDependenciesBuildInstruction

    public ProjectDependenciesBuildInstruction getProjectDependenciesBuildInstruction()

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation